For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate Hourly Report Preset
      • POSTCreate Hourly Report Root Preset
      • DELDelete Hourly Report Preset
      • GETGet Hourly Report Preset by ID
      • GETGet Hourly Report Presets
      • GETGet Hourly Report Root Preset by ID
      • GETGet Hourly Report Root Presets
      • PATCHUpdate Hourly Report Preset
LogoLogo
SupportDeel Home
EndpointsProjects

Get Hourly Report Root Preset by ID

GET
/timesheets/root-presets/:id
GET
/rest/v2/timesheets/root-presets/:id
$curl https://api.letsdeel.com/rest/v2/timesheets/root-presets/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "title": "Standard Monthly Timesheet",
5 "status": "active",
6 "description": "Base template for monthly timesheet reporting",
7 "file": {
8 "id": "123e4567-e89b-12d3-a456-426614174000",
9 "name": "your_file_name",
10 "type": "pdf"
11 },
12 "type": "RATE"
13 }
14}

Retrieves a single hourly report root preset by its id, including its current status. Token scopes: timesheets:read

Was this page helpful?
Previous

Get Hourly Report Root Presets

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the hourly report root preset to retrieve

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication